package com.yunzhupaas.mdm.service;

import com.yunzhupaas.mdm.entity.*;
import com.yunzhupaas.base.service.SuperService;
import com.yunzhupaas.mdm.model.worktype.*;
import java.util.*;

/**
 * 工种信息
 * 版本： V5.2.7
 * 版权： Copyright @ 2025  深圳市乐程软件有限公司版权所有
 * 作者： 深圳市乐程软件有限公司
 * 日期： 2026-05-18
 */
public interface WorkTypeService extends SuperService<WorkTypeEntity> {
    List<WorkTypeEntity> getList(WorkTypePagination workTypePagination);

    List<WorkTypeEntity> getTypeList(WorkTypePagination workTypePagination,String dataType);

    WorkTypeEntity getInfo(String worktypeid);

    void delete(WorkTypeEntity entity);

    void create(WorkTypeEntity entity);

    boolean update(String worktypeid, WorkTypeEntity entity);

	String checkForm(WorkTypeForm form,int i);

    void saveOrUpdate(WorkTypeForm workTypeForm,String id, boolean isSave) throws Exception;
}
